classification
Title: test_gdb fails
Type: behavior Stage:
Components: Tests Versions: Python 2.7
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: ddvento@ucar.edu, dmalcolm, r.david.murray
Priority: normal Keywords:

Created on 2013-02-04 17:52 by ddvento@ucar.edu, last changed 2019-03-16 00:09 by BreamoreBoy.

Messages (4)
msg181358 - (view) Author: (ddvento@ucar.edu) Date: 2013-02-04 17:51
Using older versions of gdb failed with the "Unhandled dwarf expression opcode 0xf3" error. Therefore, I am running the latest and greatest gdb v7.5. The first problem is that the tests fail with a:

warning: File "such-and-such" auto-loading has been declined by your `auto-load safe-path\' set to "$debugdir:$datadir/auto-load

Which can be fixed with the creation of the file ~/.gdbinit containing the following line:
set auto-load safe-path / 

After that, many tests are still failing, with more test-dependant issues. To me, at least some these tests seems just making weird assumptions of what the output of gdb should be. See for example test_truncation.



./python Lib/test/regrtest.py -v test_gdb
== CPython 2.7.3 (default, Feb 2 2013, 11:27:13) [GCC 4.7.2]
==   Linux-2.6.32-220.13.1.el6.x86_64-x86_64-with-redhat-6.2-Santiago little-endian
==   /glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/build/test_python_20889
Testing with flags: sys.flags(debug=0, py3k_warning=0, division_warning=0, division_new=0, inspect=0, interactive=0, optimize=0, dont_write_bytecode=0, no_user_site=0, no_site=0, ignore_environment=0, tabcheck=0, verbose=0, unicode=0, bytes_warning=0, hash_randomization=0)
test_gdb
test_NULL_instance_dict (test.test_gdb.PrettyPrintTests)
Ensure that a PyInstanceObject with with a NULL in_dict is handled ... FAIL
test_NULL_ob_type (test.test_gdb.PrettyPrintTests)
Ensure that a PyObject* with NULL ob_type is handled gracefully ... FAIL
test_NULL_ptr (test.test_gdb.PrettyPrintTests)
Ensure that a NULL PyObject* is handled gracefully ... FAIL
test_builtin_function (test.test_gdb.PrettyPrintTests) ... FAIL
test_builtin_method (test.test_gdb.PrettyPrintTests) ... FAIL
test_builtins_help (test.test_gdb.PrettyPrintTests)
Ensure that the new-style class _Helper in site.py can be handled ... FAIL
test_classic_class (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of classic class instances ... FAIL
test_corrupt_ob_type (test.test_gdb.PrettyPrintTests)
Ensure that a PyObject* with a corrupt ob_type is handled gracefully ... FAIL
test_corrupt_tp_flags (test.test_gdb.PrettyPrintTests)
Ensure that a PyObject* with a type with corrupt tp_flags is handled ... FAIL
test_corrupt_tp_name (test.test_gdb.PrettyPrintTests)
Ensure that a PyObject* with a type with corrupt tp_name is handled ... FAIL
test_dicts (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of dictionaries ... FAIL
test_exceptions (test.test_gdb.PrettyPrintTests) ... FAIL
test_frames (test.test_gdb.PrettyPrintTests) ... ok
test_frozensets (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of frozensets ... FAIL
test_getting_backtrace (test.test_gdb.PrettyPrintTests) ... ok
test_int (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of various "int" values ... FAIL
test_lists (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of lists ... FAIL
test_long (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of various "long" values ... FAIL
test_modern_class (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of new-style class instances ... FAIL
test_selfreferential_dict (test.test_gdb.PrettyPrintTests)
Ensure that a reference loop involving a dict doesn't lead proxyval ... FAIL
test_selfreferential_list (test.test_gdb.PrettyPrintTests)
Ensure that a reference loop involving a list doesn't lead proxyval ... FAIL
test_selfreferential_new_style_instance (test.test_gdb.PrettyPrintTests) ... FAIL
test_selfreferential_old_style_instance (test.test_gdb.PrettyPrintTests) ... FAIL
test_sets (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of sets ... FAIL
test_singletons (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of True, False and None ... FAIL
test_strings (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of strings ... FAIL
test_subclassing_list (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of an instance of a list subclass ... FAIL
test_subclassing_tuple (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of an instance of a tuple subclass ... FAIL
test_truncation (test.test_gdb.PrettyPrintTests)
Verify that very long output is truncated ... FAIL
test_tuples (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of tuples ... FAIL
test_unicode (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of unicode values ... FAIL
test_basic_command (test.test_gdb.PyListTests)
Verify that the "py-list" command works ... skipped 'Python was compiled with optimizations'
test_one_abs_arg (test.test_gdb.PyListTests)
Verify the "py-list" command with one absolute argument ... skipped 'Python was compiled with optimizations'
test_two_abs_args (test.test_gdb.PyListTests)
Verify the "py-list" command with two absolute arguments ... skipped 'Python was compiled with optimizations'
test_down_at_bottom (test.test_gdb.StackNavigationTests)
Verify handling of "py-down" at the bottom of the stack ... ok
test_pyup_command (test.test_gdb.StackNavigationTests)
Verify that the "py-up" command works ... skipped 'Python was compiled with optimizations'
test_up_at_top (test.test_gdb.StackNavigationTests)
Verify handling of "py-up" at the top of the stack ... ok
test_up_then_down (test.test_gdb.StackNavigationTests)
Verify "py-up" followed by "py-down" ... skipped 'Python was compiled with optimizations'
test_basic_command (test.test_gdb.PyBtTests)
Verify that the "py-bt" command works ... skipped 'Python was compiled with optimizations'
test_basic_command (test.test_gdb.PyPrintTests)
Verify that the "py-print" command works ... skipped 'Python was compiled with optimizations'
test_print_after_up (test.test_gdb.PyPrintTests) ... skipped 'Python was compiled with optimizations'
test_printing_builtin (test.test_gdb.PyPrintTests) ... skipped 'Python was compiled with optimizations'
test_printing_global (test.test_gdb.PyPrintTests) ... skipped 'Python was compiled with optimizations'
test_basic_command (test.test_gdb.PyLocalsTests) ... skipped 'Python was compiled with optimizations'
test_locals_after_up (test.test_gdb.PyLocalsTests) ... skipped 'Python was compiled with optimizations'

======================================================================
FAIL: test_NULL_instance_dict (test.test_gdb.PrettyPrintTests)
Ensure that a PyInstanceObject with with a NULL in_dict is handled
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 446, in test_NULL_instance_dict
    exptype='Foo')
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 402, in assertSane
    (gdb_repr, gdb_output))
AssertionError: Unexpected gdb representation: 'op@entry=<Foo at remote 0x2aaaaaf04560>'
Breakpoint 1 (PyObject_Print) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

Breakpoint 1, PyObject_Print (op=op@entry=<Foo(an_int=42) at remote 0x2aaaaaf04560>, fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
330         return internal_print(op, fp, flags, 0);
#0  PyObject_Print (op=op@entry=<Foo at remote 0x2aaaaaf04560>, fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
#1  0x00002aaaaab1cfb8 in file_PyObject_Print (flags=1, f=0x2aaaaaeba1e0, op=<Foo at remote 0x2aaaaaf04560>) at Objects/fileobject.c:110
#2  PyFile_WriteObject (v=v@entry=<Foo at remote 0x2aaaaaf04560>, f=f@entry=<file at remote 0x2aaaaaeba1e0>, flags=flags@entry=1) at Objects/fileobject.c:2507
#3  0x00002aaaaab9ea57 in PyEval_EvalFrameEx (f=f@entry=Frame 0x66a5a0, for file <string>, line 6, in <module> (), throwflag=throwflag@entry=0) at Python/ceval.c:1770
#4  0x00002aaaaaba1c18 in PyEval_EvalCodeEx (co=co@entry=0x2aaaaaeb3bb0, globals=globals@entry={'foo': <Foo at remote 0x2aaaaaf04560>, '__builtins__': <module at remote 0x2aaaaaea2ad0>, '__package__': None, '__name__': '__main__', 'Foo': <classobj at remote 0x2aaaaaedaf58>, '__doc__': None}, locals=locals@entry={'foo': <Foo at remote 0x2aaaaaf04560>, '__builtins__': <module at remote 0x2aaaaaea2ad0>, '__package__': None, '__name__': '__main__', 'Foo': <classobj at remote 0x2aaaaaedaf58>, '__doc__': None}, args=args@entry=0x0, argcount=argcount@entry=0, kws=kws@entry=0x0, kwcount=kwcount@entry=0, defs=defs@entry=0x0, defcount=defcount@entry=0, closure=closure@entry=0x0) at Python/ceval.c:3253
#5  0x00002aaaaaba1d52 in PyEval_EvalCode (co=co@entry=0x2aaaaaeb3bb0, globals=globals@entry={'foo': <Foo at remote 0x2aaaaaf04560>, '__builtins__': <module at remote 0x2aaaaaea2ad0>, '__package__': None, '__name__': '__main__', 'Foo': <classobj at remote 0x2aaaaaedaf58>, '__doc__': None}, locals=locals@entry={'foo': <Foo at remote 0x2aaaaaf04560>, '__builtins__': <module at remote 0x2aaaaaea2ad0>, '__package__': None, '__name__': '__main__', 'Foo': <classobj at remote 0x2aaaaaedaf58>, '__doc__': None}) at Python/ceval.c:667
#6  0x00002aaaaabc31ed in run_mod (arena=0x610410, flags=<optimized out>, locals={'foo': <Foo at remote 0x2aaaaaf04560>, '__builtins__': <module at remote 0x2aaaaaea2ad0>, '__package__': None, '__name__': '__main__', 'Foo': <classobj at remote 0x2aaaaaedaf58>, '__doc__': None}, globals={'foo': <Foo at remote 0x2aaaaaf04560>, '__builtins__': <module at remote 0x2aaaaaea2ad0>, '__package__': None, '__name__': '__main__', 'Foo': <classobj at remote 0x2aaaaaedaf58>, '__doc__': None}, filename=0x2aaaaabf175d "<string>", mod=<optimized out>) at Python/pythonrun.c:1353
#7  PyRun_StringFlags (str=str@entry=0x601010 "\nclass Foo:\n    pass\nfoo = Foo()\nfoo.an_int = 42\nprint foo\n", start=start@entry=257, globals={'foo': <Foo at remote 0x2aaaaaf04560>, '__builtins__': <module at remote 0x2aaaaaea2ad0>, '__package__': None, '__name__': '__main__', 'Foo': <classobj at remote 0x2aaaaaedaf58>, '__doc__': None}, locals={'foo': <Foo at remote 0x2aaaaaf04560>, '__builtins__': <module at remote 0x2aaaaaea2ad0>, '__package__': None, '__name__': '__main__', 'Foo': <classobj at remote 0x2aaaaaedaf58>, '__doc__': None}, flags=flags@entry=0x7fffffffcab0) at Python/pythonrun.c:1316
#8  0x00002aaaaabc3d5b in PyRun_SimpleStringFlags (command=command@entry=0x601010 "\nclass Foo:\n    pass\nfoo = Foo()\nfoo.an_int = 42\nprint foo\n", flags=flags@entry=0x7fffffffcab0) at Python/pythonrun.c:969
#9  0x00002aaaaabd90c8 in Py_Main (argc=<optimized out>, argv=<optimized out>) at Modules/main.c:583
#10 0x00000032c841ecdd in __libc_start_main () from /lib64/libc.so.6
#11 0x0000000000400789 in _start ()


======================================================================
FAIL: test_NULL_ob_type (test.test_gdb.PrettyPrintTests)
Ensure that a PyObject* with NULL ob_type is handled gracefully
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 417, in test_NULL_ob_type
    'set op->ob_type=0')
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 402, in assertSane
    (gdb_repr, gdb_output))
AssertionError: Unexpected gdb representation: 'op@entry=<unknown at remote 0x61dbc8>'
Breakpoint 1 (PyObject_Print) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

Breakpoint 1, PyObject_Print (op=op@entry=42, fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
330         return internal_print(op, fp, flags, 0);
#0  PyObject_Print (op=op@entry=<unknown at remote 0x61dbc8>, fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
#1  0x00002aaaaab1cfb8 in file_PyObject_Print (flags=1, f=0x2aaaaaeba1e0, op=<unknown at remote 0x61dbc8>) at Objects/fileobject.c:110
#2  PyFile_WriteObject (v=v@entry=<unknown at remote 0x61dbc8>, f=f@entry=<file at remote 0x2aaaaaeba1e0>, flags=flags@entry=1) at Objects/fileobject.c:2507
#3  0x00002aaaaab9ea57 in PyEval_EvalFrameEx (f=f@entry=Frame 0x669a30, for file <string>, line 1, in <module> (), throwflag=throwflag@entry=0) at Python/ceval.c:1770
#4  0x00002aaaaaba1c18 in PyEval_EvalCodeEx (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, args=args@entry=0x0, argcount=argcount@entry=0, kws=kws@entry=0x0, kwcount=kwcount@entry=0, defs=defs@entry=0x0, defcount=defcount@entry=0, closure=closure@entry=0x0) at Python/ceval.c:3253
#5  0x00002aaaaaba1d52 in PyEval_EvalCode (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}) at Python/ceval.c:667
#6  0x00002aaaaabc31ed in run_mod (arena=0x6103e0, flags=<optimized out>, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, filename=0x2aaaaabf175d "<string>", mod=<optimized out>) at Python/pythonrun.c:1353
#7  PyRun_StringFlags (str=str@entry=0x601010 "print 42\n", start=start@entry=257, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, flags=flags@entry=0x7fffffffcae0) at Python/pythonrun.c:1316
#8  0x00002aaaaabc3d5b in PyRun_SimpleStringFlags (command=command@entry=0x601010 "print 42\n", flags=flags@entry=0x7fffffffcae0) at Python/pythonrun.c:969
#9  0x00002aaaaabd90c8 in Py_Main (argc=<optimized out>, argv=<optimized out>) at Modules/main.c:583
#10 0x00000032c841ecdd in __libc_start_main () from /lib64/libc.so.6
#11 0x0000000000400789 in _start ()


======================================================================
FAIL: test_NULL_ptr (test.test_gdb.PrettyPrintTests)
Ensure that a NULL PyObject* is handled gracefully
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 412, in test_NULL_ptr
    self.assertEqual(gdb_repr, '0x0')
AssertionError: '0x0, op@entry=42' != '0x0'

======================================================================
FAIL: test_builtin_function (test.test_gdb.PrettyPrintTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 549, in test_builtin_function
    self.assertEqual(gdb_repr, '<built-in function len>')
AssertionError: 'op@entry=<built-in function len>' != '<built-in function len>'

======================================================================
FAIL: test_builtin_method (test.test_gdb.PrettyPrintTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 556, in test_builtin_method
    (gdb_repr, gdb_output))
AssertionError: Unexpected gdb representation: 'op@entry=<built-in method readlines of file object at remote 0x2aaaaaeba1e0>'
Breakpoint 1 (PyObject_Print) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

Breakpoint 1, PyObject_Print (op=op@entry=<built-in method readlines of file object at remote 0x2aaaaaeba1e0>, fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
330         return internal_print(op, fp, flags, 0);
#0  PyObject_Print (op=op@entry=<built-in method readlines of file object at remote 0x2aaaaaeba1e0>, fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
#1  0x00002aaaaab1cfb8 in file_PyObject_Print (flags=1, f=0x2aaaaaeba1e0, op=<built-in method readlines of file object at remote 0x2aaaaaeba1e0>) at Objects/fileobject.c:110
#2  PyFile_WriteObject (v=v@entry=<built-in method readlines of file object at remote 0x2aaaaaeba1e0>, f=f@entry=<file at remote 0x2aaaaaeba1e0>, flags=flags@entry=1) at Objects/fileobject.c:2507
#3  0x00002aaaaab9ea57 in PyEval_EvalFrameEx (f=f@entry=Frame 0x669a40, for file <string>, line 1, in <module> (), throwflag=throwflag@entry=0) at Python/ceval.c:1770
#4  0x00002aaaaaba1c18 in PyEval_EvalCodeEx (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', 'sys': <module at remote 0x2aaaaaea2b78>, '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', 'sys': <module at remote 0x2aaaaaea2b78>, '__doc__': None, '__package__': None}, args=args@entry=0x0, argcount=argcount@entry=0, kws=kws@entry=0x0, kwcount=kwcount@entry=0, defs=defs@entry=0x0, defcount=defcount@entry=0, closure=closure@entry=0x0) at Python/ceval.c:3253
#5  0x00002aaaaaba1d52 in PyEval_EvalCode (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', 'sys': <module at remote 0x2aaaaaea2b78>, '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', 'sys': <module at remote 0x2aaaaaea2b78>, '__doc__': None, '__package__': None}) at Python/ceval.c:667
#6  0x00002aaaaabc31ed in run_mod (arena=0x6103f0, flags=<optimized out>, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', 'sys': <module at remote 0x2aaaaaea2b78>, '__doc__': None, '__package__': None}, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', 'sys': <module at remote 0x2aaaaaea2b78>, '__doc__': None, '__package__': None}, filename=0x2aaaaabf175d "<string>", mod=<optimized out>) at Python/pythonrun.c:1353
#7  PyRun_StringFlags (str=str@entry=0x601010 "import sys; print sys.stdout.readlines\n", start=start@entry=257, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', 'sys': <module at remote 0x2aaaaaea2b78>, '__doc__': None, '__package__': None}, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', 'sys': <module at remote 0x2aaaaaea2b78>, '__doc__': None, '__package__': None}, flags=flags@entry=0x7fffffffcac0) at Python/pythonrun.c:1316
#8  0x00002aaaaabc3d5b in PyRun_SimpleStringFlags (command=command@entry=0x601010 "import sys; print sys.stdout.readlines\n", flags=flags@entry=0x7fffffffcac0) at Python/pythonrun.c:969
#9  0x00002aaaaabd90c8 in Py_Main (argc=<optimized out>, argv=<optimized out>) at Modules/main.c:583
#10 0x00000032c841ecdd in __libc_start_main () from /lib64/libc.so.6
#11 0x0000000000400789 in _start ()


======================================================================
FAIL: test_builtins_help (test.test_gdb.PrettyPrintTests)
Ensure that the new-style class _Helper in site.py can be handled
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 456, in test_builtins_help
    msg='Unexpected rendering %r' % gdb_repr)
AssertionError: Unexpected rendering 'op@entry=<_Helper at remote 0x2aaaab3ae350>'

======================================================================
FAIL: test_classic_class (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of classic class instances
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 330, in test_classic_class
    msg='Unexpected classic-class rendering %r' % gdb_repr)
AssertionError: Unexpected classic-class rendering 'op@entry=<Foo(an_int=42) at remote 0x2aaaaaf04560>'

======================================================================
FAIL: test_corrupt_ob_type (test.test_gdb.PrettyPrintTests)
Ensure that a PyObject* with a corrupt ob_type is handled gracefully
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 423, in test_corrupt_ob_type
    expvalue=42)
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 402, in assertSane
    (gdb_repr, gdb_output))
AssertionError: Unexpected gdb representation: 'op@entry=<unknown at remote 0x61dbc8>'
Breakpoint 1 (PyObject_Print) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

Breakpoint 1, PyObject_Print (op=op@entry=42, fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
330         return internal_print(op, fp, flags, 0);
#0  PyObject_Print (op=op@entry=<unknown at remote 0x61dbc8>, fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
#1  0x00002aaaaab1cfb8 in file_PyObject_Print (flags=1, f=0x2aaaaaeba1e0, op=<unknown at remote 0x61dbc8>) at Objects/fileobject.c:110
#2  PyFile_WriteObject (v=v@entry=<unknown at remote 0x61dbc8>, f=f@entry=<file at remote 0x2aaaaaeba1e0>, flags=flags@entry=1) at Objects/fileobject.c:2507
#3  0x00002aaaaab9ea57 in PyEval_EvalFrameEx (f=f@entry=Frame 0x669a30, for file <string>, line 1, in <module> (), throwflag=throwflag@entry=0) at Python/ceval.c:1770
#4  0x00002aaaaaba1c18 in PyEval_EvalCodeEx (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, args=args@entry=0x0, argcount=argcount@entry=0, kws=kws@entry=0x0, kwcount=kwcount@entry=0, defs=defs@entry=0x0, defcount=defcount@entry=0, closure=closure@entry=0x0) at Python/ceval.c:3253
#5  0x00002aaaaaba1d52 in PyEval_EvalCode (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}) at Python/ceval.c:667
#6  0x00002aaaaabc31ed in run_mod (arena=0x6103e0, flags=<optimized out>, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, filename=0x2aaaaabf175d "<string>", mod=<optimized out>) at Python/pythonrun.c:1353
#7  PyRun_StringFlags (str=str@entry=0x601010 "print 42\n", start=start@entry=257, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, flags=flags@entry=0x7fffffffcae0) at Python/pythonrun.c:1316
#8  0x00002aaaaabc3d5b in PyRun_SimpleStringFlags (command=command@entry=0x601010 "print 42\n", flags=flags@entry=0x7fffffffcae0) at Python/pythonrun.c:969
#9  0x00002aaaaabd90c8 in Py_Main (argc=<optimized out>, argv=<optimized out>) at Modules/main.c:583
#10 0x00000032c841ecdd in __libc_start_main () from /lib64/libc.so.6
#11 0x0000000000400789 in _start ()


======================================================================
FAIL: test_corrupt_tp_flags (test.test_gdb.PrettyPrintTests)
Ensure that a PyObject* with a type with corrupt tp_flags is handled
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 429, in test_corrupt_tp_flags
    expvalue=42)
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 402, in assertSane
    (gdb_repr, gdb_output))
AssertionError: Unexpected gdb representation: 'op@entry=<int at remote 0x61dbc8>'
Breakpoint 1 (PyObject_Print) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

Breakpoint 1, PyObject_Print (op=op@entry=42, fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
330         return internal_print(op, fp, flags, 0);
#0  PyObject_Print (op=op@entry=<int at remote 0x61dbc8>, fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
#1  0x00002aaaaab1cfb8 in file_PyObject_Print (flags=1, f=0x2aaaaaeba1e0, op=<int at remote 0x61dbc8>) at Objects/fileobject.c:110
#2  PyFile_WriteObject (v=v@entry=<int at remote 0x61dbc8>, f=f@entry=<file at remote 0x2aaaaaeba1e0>, flags=flags@entry=1) at Objects/fileobject.c:2507
#3  0x00002aaaaab9ea57 in PyEval_EvalFrameEx (f=f@entry=Frame 0x669a30, for file <string>, line 1, in <module> (), throwflag=throwflag@entry=0) at Python/ceval.c:1770
#4  0x00002aaaaaba1c18 in PyEval_EvalCodeEx (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, args=args@entry=0x0, argcount=argcount@entry=0, kws=kws@entry=0x0, kwcount=kwcount@entry=0, defs=defs@entry=0x0, defcount=defcount@entry=0, closure=closure@entry=0x0) at Python/ceval.c:3253
#5  0x00002aaaaaba1d52 in PyEval_EvalCode (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}) at Python/ceval.c:667
#6  0x00002aaaaabc31ed in run_mod (arena=0x6103e0, flags=<optimized out>, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, filename=0x2aaaaabf175d "<string>", mod=<optimized out>) at Python/pythonrun.c:1353
#7  PyRun_StringFlags (str=str@entry=0x601010 "print 42\n", start=start@entry=257, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, flags=flags@entry=0x7fffffffcae0) at Python/pythonrun.c:1316
#8  0x00002aaaaabc3d5b in PyRun_SimpleStringFlags (command=command@entry=0x601010 "print 42\n", flags=flags@entry=0x7fffffffcae0) at Python/pythonrun.c:969
#9  0x00002aaaaabd90c8 in Py_Main (argc=<optimized out>, argv=<optimized out>) at Modules/main.c:583
#10 0x00000032c841ecdd in __libc_start_main () from /lib64/libc.so.6
#11 0x0000000000400789 in _start ()


======================================================================
FAIL: test_corrupt_tp_name (test.test_gdb.PrettyPrintTests)
Ensure that a PyObject* with a type with corrupt tp_name is handled
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 435, in test_corrupt_tp_name
    expvalue=42)
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 402, in assertSane
    (gdb_repr, gdb_output))
AssertionError: Unexpected gdb representation: 'op@entry=<unknown at remote 0x61dbc8>'
Breakpoint 1 (PyObject_Print) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

Breakpoint 1, PyObject_Print (op=op@entry=42, fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
330         return internal_print(op, fp, flags, 0);
#0  PyObject_Print (op=op@entry=<unknown at remote 0x61dbc8>, fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
#1  0x00002aaaaab1cfb8 in file_PyObject_Print (flags=1, f=0x2aaaaaeba1e0, op=<unknown at remote 0x61dbc8>) at Objects/fileobject.c:110
#2  PyFile_WriteObject (v=v@entry=<unknown at remote 0x61dbc8>, f=f@entry=<file at remote 0x2aaaaaeba1e0>, flags=flags@entry=1) at Objects/fileobject.c:2507
#3  0x00002aaaaab9ea57 in PyEval_EvalFrameEx (f=f@entry=Frame 0x669a30, for file <string>, line 1, in <module> (), throwflag=throwflag@entry=0) at Python/ceval.c:1770
#4  0x00002aaaaaba1c18 in PyEval_EvalCodeEx (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, args=args@entry=0x0, argcount=argcount@entry=0, kws=kws@entry=0x0, kwcount=kwcount@entry=0, defs=defs@entry=0x0, defcount=defcount@entry=0, closure=closure@entry=0x0) at Python/ceval.c:3253
#5  0x00002aaaaaba1d52 in PyEval_EvalCode (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}) at Python/ceval.c:667
#6  0x00002aaaaabc31ed in run_mod (arena=0x6103e0, flags=<optimized out>, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, filename=0x2aaaaabf175d "<string>", mod=<optimized out>) at Python/pythonrun.c:1353
#7  PyRun_StringFlags (str=str@entry=0x601010 "print 42\n", start=start@entry=257, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, flags=flags@entry=0x7fffffffcae0) at Python/pythonrun.c:1316
#8  0x00002aaaaabc3d5b in PyRun_SimpleStringFlags (command=command@entry=0x601010 "print 42\n", flags=flags@entry=0x7fffffffcae0) at Python/pythonrun.c:969
#9  0x00002aaaaabd90c8 in Py_Main (argc=<optimized out>, argv=<optimized out>) at Modules/main.c:583
#10 0x00000032c841ecdd in __libc_start_main () from /lib64/libc.so.6
#11 0x0000000000400789 in _start ()


======================================================================
FAIL: test_dicts (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of dictionaries
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 221, in test_dicts
    self.assertGdbRepr({})
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 196, in assertGdbRepr
    self.assertEqual(gdb_repr, repr(val), gdb_output)
AssertionError: Breakpoint 1 (PyObject_Print) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

Breakpoint 1, PyObject_Print (op=op@entry={}, fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
330         return internal_print(op, fp, flags, 0);
#0  PyObject_Print (op=op@entry={}, fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
#1  0x00002aaaaab1cfb8 in file_PyObject_Print (flags=1, f=0x2aaaaaeba1e0, op={}) at Objects/fileobject.c:110
#2  PyFile_WriteObject (v=v@entry={}, f=f@entry=<file at remote 0x2aaaaaeba1e0>, flags=flags@entry=1) at Objects/fileobject.c:2507
#3  0x00002aaaaab9ea57 in PyEval_EvalFrameEx (f=f@entry=Frame 0x669a30, for file <string>, line 1, in <module> (), throwflag=throwflag@entry=0) at Python/ceval.c:1770
#4  0x00002aaaaaba1c18 in PyEval_EvalCodeEx (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, args=args@entry=0x0, argcount=argcount@entry=0, kws=kws@entry=0x0, kwcount=kwcount@entry=0, defs=defs@entry=0x0, defcount=defcount@entry=0, closure=closure@entry=0x0) at Python/ceval.c:3253
#5  0x00002aaaaaba1d52 in PyEval_EvalCode (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}) at Python/ceval.c:667
#6  0x00002aaaaabc31ed in run_mod (arena=0x6103e0, flags=<optimized out>, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, filename=0x2aaaaabf175d "<string>", mod=<optimized out>) at Python/pythonrun.c:1353
#7  PyRun_StringFlags (str=str@entry=0x601010 "print {}\n", start=start@entry=257, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, flags=flags@entry=0x7fffffffcae0) at Python/pythonrun.c:1316
#8  0x00002aaaaabc3d5b in PyRun_SimpleStringFlags (command=command@entry=0x601010 "print {}\n", flags=flags@entry=0x7fffffffcae0) at Python/pythonrun.c:969
#9  0x00002aaaaabd90c8 in Py_Main (argc=<optimized out>, argv=<optimized out>) at Modules/main.c:583
#10 0x00000032c841ecdd in __libc_start_main () from /lib64/libc.so.6
#11 0x0000000000400789 in _start ()


======================================================================
FAIL: test_exceptions (test.test_gdb.PrettyPrintTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 307, in test_exceptions
    "exceptions.RuntimeError('I am an error',)")
AssertionError: "op@entry=exceptions.RuntimeError('I am an error',)" != "exceptions.RuntimeError('I am an error',)"

======================================================================
FAIL: test_frozensets (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of frozensets
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 288, in test_frozensets
    self.assertGdbRepr(frozenset())
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 196, in assertGdbRepr
    self.assertEqual(gdb_repr, repr(val), gdb_output)
AssertionError: Breakpoint 1 (PyObject_Print) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

Breakpoint 1, PyObject_Print (op=op@entry=frozenset([]), fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
330         return internal_print(op, fp, flags, 0);
#0  PyObject_Print (op=op@entry=frozenset([]), fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
#1  0x00002aaaaab1cfb8 in file_PyObject_Print (flags=1, f=0x2aaaaaeba1e0, op=frozenset([])) at Objects/fileobject.c:110
#2  PyFile_WriteObject (v=v@entry=frozenset([]), f=f@entry=<file at remote 0x2aaaaaeba1e0>, flags=flags@entry=1) at Objects/fileobject.c:2507
#3  0x00002aaaaab9ea57 in PyEval_EvalFrameEx (f=f@entry=Frame 0x669a30, for file <string>, line 1, in <module> (), throwflag=throwflag@entry=0) at Python/ceval.c:1770
#4  0x00002aaaaaba1c18 in PyEval_EvalCodeEx (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, args=args@entry=0x0, argcount=argcount@entry=0, kws=kws@entry=0x0, kwcount=kwcount@entry=0, defs=defs@entry=0x0, defcount=defcount@entry=0, closure=closure@entry=0x0) at Python/ceval.c:3253
#5  0x00002aaaaaba1d52 in PyEval_EvalCode (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}) at Python/ceval.c:667
#6  0x00002aaaaabc31ed in run_mod (arena=0x6103e0, flags=<optimized out>, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, filename=0x2aaaaabf175d "<string>", mod=<optimized out>) at Python/pythonrun.c:1353
#7  PyRun_StringFlags (str=str@entry=0x601010 "print frozenset([])\n", start=start@entry=257, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, flags=flags@entry=0x7fffffffcad0) at Python/pythonrun.c:1316
#8  0x00002aaaaabc3d5b in PyRun_SimpleStringFlags (command=command@entry=0x601010 "print frozenset([])\n", flags=flags@entry=0x7fffffffcad0) at Python/pythonrun.c:969
#9  0x00002aaaaabd90c8 in Py_Main (argc=<optimized out>, argv=<optimized out>) at Modules/main.c:583
#10 0x00000032c841ecdd in __libc_start_main () from /lib64/libc.so.6
#11 0x0000000000400789 in _start ()


======================================================================
FAIL: test_int (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of various "int" values
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 200, in test_int
    self.assertGdbRepr(42)
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 196, in assertGdbRepr
    self.assertEqual(gdb_repr, repr(val), gdb_output)
AssertionError: Breakpoint 1 (PyObject_Print) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

Breakpoint 1, PyObject_Print (op=op@entry=42, fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
330         return internal_print(op, fp, flags, 0);
#0  PyObject_Print (op=op@entry=42, fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
#1  0x00002aaaaab1cfb8 in file_PyObject_Print (flags=1, f=0x2aaaaaeba1e0, op=42) at Objects/fileobject.c:110
#2  PyFile_WriteObject (v=v@entry=42, f=f@entry=<file at remote 0x2aaaaaeba1e0>, flags=flags@entry=1) at Objects/fileobject.c:2507
#3  0x00002aaaaab9ea57 in PyEval_EvalFrameEx (f=f@entry=Frame 0x669a30, for file <string>, line 1, in <module> (), throwflag=throwflag@entry=0) at Python/ceval.c:1770
#4  0x00002aaaaaba1c18 in PyEval_EvalCodeEx (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, args=args@entry=0x0, argcount=argcount@entry=0, kws=kws@entry=0x0, kwcount=kwcount@entry=0, defs=defs@entry=0x0, defcount=defcount@entry=0, closure=closure@entry=0x0) at Python/ceval.c:3253
#5  0x00002aaaaaba1d52 in PyEval_EvalCode (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}) at Python/ceval.c:667
#6  0x00002aaaaabc31ed in run_mod (arena=0x6103e0, flags=<optimized out>, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, filename=0x2aaaaabf175d "<string>", mod=<optimized out>) at Python/pythonrun.c:1353
#7  PyRun_StringFlags (str=str@entry=0x601010 "print 42\n", start=start@entry=257, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, flags=flags@entry=0x7fffffffcae0) at Python/pythonrun.c:1316
#8  0x00002aaaaabc3d5b in PyRun_SimpleStringFlags (command=command@entry=0x601010 "print 42\n", flags=flags@entry=0x7fffffffcae0) at Python/pythonrun.c:969
#9  0x00002aaaaabd90c8 in Py_Main (argc=<optimized out>, argv=<optimized out>) at Modules/main.c:583
#10 0x00000032c841ecdd in __libc_start_main () from /lib64/libc.so.6
#11 0x0000000000400789 in _start ()


======================================================================
FAIL: test_lists (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of lists
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 227, in test_lists
    self.assertGdbRepr([])
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 196, in assertGdbRepr
    self.assertEqual(gdb_repr, repr(val), gdb_output)
AssertionError: Breakpoint 1 (PyObject_Print) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

Breakpoint 1, PyObject_Print (op=op@entry=[], fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
330         return internal_print(op, fp, flags, 0);
#0  PyObject_Print (op=op@entry=[], fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
#1  0x00002aaaaab1cfb8 in file_PyObject_Print (flags=1, f=0x2aaaaaeba1e0, op=[]) at Objects/fileobject.c:110
#2  PyFile_WriteObject (v=v@entry=[], f=f@entry=<file at remote 0x2aaaaaeba1e0>, flags=flags@entry=1) at Objects/fileobject.c:2507
#3  0x00002aaaaab9ea57 in PyEval_EvalFrameEx (f=f@entry=Frame 0x669a30, for file <string>, line 1, in <module> (), throwflag=throwflag@entry=0) at Python/ceval.c:1770
#4  0x00002aaaaaba1c18 in PyEval_EvalCodeEx (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, args=args@entry=0x0, argcount=argcount@entry=0, kws=kws@entry=0x0, kwcount=kwcount@entry=0, defs=defs@entry=0x0, defcount=defcount@entry=0, closure=closure@entry=0x0) at Python/ceval.c:3253
#5  0x00002aaaaaba1d52 in PyEval_EvalCode (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}) at Python/ceval.c:667
#6  0x00002aaaaabc31ed in run_mod (arena=0x6103e0, flags=<optimized out>, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, filename=0x2aaaaabf175d "<string>", mod=<optimized out>) at Python/pythonrun.c:1353
#7  PyRun_StringFlags (str=str@entry=0x601010 "print []\n", start=start@entry=257, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, flags=flags@entry=0x7fffffffcae0) at Python/pythonrun.c:1316
#8  0x00002aaaaabc3d5b in PyRun_SimpleStringFlags (command=command@entry=0x601010 "print []\n", flags=flags@entry=0x7fffffffcae0) at Python/pythonrun.c:969
#9  0x00002aaaaabd90c8 in Py_Main (argc=<optimized out>, argv=<optimized out>) at Modules/main.c:583
#10 0x00000032c841ecdd in __libc_start_main () from /lib64/libc.so.6
#11 0x0000000000400789 in _start ()


======================================================================
FAIL: test_long (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of various "long" values
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 208, in test_long
    self.assertGdbRepr(0L)
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 196, in assertGdbRepr
    self.assertEqual(gdb_repr, repr(val), gdb_output)
AssertionError: Breakpoint 1 (PyObject_Print) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

Breakpoint 1, PyObject_Print (op=op@entry=0L, fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
330         return internal_print(op, fp, flags, 0);
#0  PyObject_Print (op=op@entry=0L, fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
#1  0x00002aaaaab1cfb8 in file_PyObject_Print (flags=1, f=0x2aaaaaeba1e0, op=0L) at Objects/fileobject.c:110
#2  PyFile_WriteObject (v=v@entry=0L, f=f@entry=<file at remote 0x2aaaaaeba1e0>, flags=flags@entry=1) at Objects/fileobject.c:2507
#3  0x00002aaaaab9ea57 in PyEval_EvalFrameEx (f=f@entry=Frame 0x669a30, for file <string>, line 1, in <module> (), throwflag=throwflag@entry=0) at Python/ceval.c:1770
#4  0x00002aaaaaba1c18 in PyEval_EvalCodeEx (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, args=args@entry=0x0, argcount=argcount@entry=0, kws=kws@entry=0x0, kwcount=kwcount@entry=0, defs=defs@entry=0x0, defcount=defcount@entry=0, closure=closure@entry=0x0) at Python/ceval.c:3253
#5  0x00002aaaaaba1d52 in PyEval_EvalCode (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}) at Python/ceval.c:667
#6  0x00002aaaaabc31ed in run_mod (arena=0x6103e0, flags=<optimized out>, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, filename=0x2aaaaabf175d "<string>", mod=<optimized out>) at Python/pythonrun.c:1353
#7  PyRun_StringFlags (str=str@entry=0x601010 "print 0L\n", start=start@entry=257, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, flags=flags@entry=0x7fffffffcae0) at Python/pythonrun.c:1316
#8  0x00002aaaaabc3d5b in PyRun_SimpleStringFlags (command=command@entry=0x601010 "print 0L\n", flags=flags@entry=0x7fffffffcae0) at Python/pythonrun.c:969
#9  0x00002aaaaabd90c8 in Py_Main (argc=<optimized out>, argv=<optimized out>) at Modules/main.c:583
#10 0x00000032c841ecdd in __libc_start_main () from /lib64/libc.so.6
#11 0x0000000000400789 in _start ()


======================================================================
FAIL: test_modern_class (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of new-style class instances
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 342, in test_modern_class
    msg='Unexpected new-style class rendering %r' % gdb_repr)
AssertionError: Unexpected new-style class rendering 'op@entry=<Foo(an_int=42) at remote 0x2aaaaaee5150>'

======================================================================
FAIL: test_selfreferential_dict (test.test_gdb.PrettyPrintTests)
Ensure that a reference loop involving a dict doesn't lead proxyval
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 477, in test_selfreferential_dict
    self.assertEqual(gdb_repr, "{'foo': {'bar': {...}}}")
AssertionError: "op@entry={'foo': {'bar': {...}}}" != "{'foo': {'bar': {...}}}"

======================================================================
FAIL: test_selfreferential_list (test.test_gdb.PrettyPrintTests)
Ensure that a reference loop involving a list doesn't lead proxyval
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 464, in test_selfreferential_list
    self.assertEqual(gdb_repr, '[3, 4, 5, [...]]')
AssertionError: 'op@entry=[3, 4, 5, [...]]' != '[3, 4, 5, [...]]'

======================================================================
FAIL: test_selfreferential_new_style_instance (test.test_gdb.PrettyPrintTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 503, in test_selfreferential_new_style_instance
    (gdb_repr, gdb_output))
AssertionError: Unexpected gdb representation: 'op@entry=<Foo(an_attr=<...>) at remote 0x2aaaaaee5150>'
Breakpoint 1 (PyObject_Print) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

Breakpoint 1, PyObject_Print (op=op@entry=<Foo(an_attr=<...>) at remote 0x2aaaaaee5150>, fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
330         return internal_print(op, fp, flags, 0);
#0  PyObject_Print (op=op@entry=<Foo(an_attr=<...>) at remote 0x2aaaaaee5150>, fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
#1  0x00002aaaaab1cfb8 in file_PyObject_Print (flags=1, f=0x2aaaaaeba1e0, op=<Foo(an_attr=<...>) at remote 0x2aaaaaee5150>) at Objects/fileobject.c:110
#2  PyFile_WriteObject (v=v@entry=<Foo(an_attr=<...>) at remote 0x2aaaaaee5150>, f=f@entry=<file at remote 0x2aaaaaeba1e0>, flags=flags@entry=1) at Objects/fileobject.c:2507
#3  0x00002aaaaab9ea57 in PyEval_EvalFrameEx (f=f@entry=Frame 0x66a5a0, for file <string>, line 6, in <module> (), throwflag=throwflag@entry=0) at Python/ceval.c:1770
#4  0x00002aaaaaba1c18 in PyEval_EvalCodeEx (co=co@entry=0x2aaaaaeb3bb0, globals=globals@entry={'foo': <Foo(an_attr=<...>) at remote 0x2aaaaaee5150>, '__builtins__': <module at remote 0x2aaaaaea2ad0>, '__package__': None, '__name__': '__main__', 'Foo': <type at remote 0x66a910>, '__doc__': None}, locals=locals@entry={'foo': <Foo(an_attr=<...>) at remote 0x2aaaaaee5150>, '__builtins__': <module at remote 0x2aaaaaea2ad0>, '__package__': None, '__name__': '__main__', 'Foo': <type at remote 0x66a910>, '__doc__': None}, args=args@entry=0x0, argcount=argcount@entry=0, kws=kws@entry=0x0, kwcount=kwcount@entry=0, defs=defs@entry=0x0, defcount=defcount@entry=0, closure=closure@entry=0x0) at Python/ceval.c:3253
#5  0x00002aaaaaba1d52 in PyEval_EvalCode (co=co@entry=0x2aaaaaeb3bb0, globals=globals@entry={'foo': <Foo(an_attr=<...>) at remote 0x2aaaaaee5150>, '__builtins__': <module at remote 0x2aaaaaea2ad0>, '__package__': None, '__name__': '__main__', 'Foo': <type at remote 0x66a910>, '__doc__': None}, locals=locals@entry={'foo': <Foo(an_attr=<...>) at remote 0x2aaaaaee5150>, '__builtins__': <module at remote 0x2aaaaaea2ad0>, '__package__': None, '__name__': '__main__', 'Foo': <type at remote 0x66a910>, '__doc__': None}) at Python/ceval.c:667
#6  0x00002aaaaabc31ed in run_mod (arena=0x610410, flags=<optimized out>, locals={'foo': <Foo(an_attr=<...>) at remote 0x2aaaaaee5150>, '__builtins__': <module at remote 0x2aaaaaea2ad0>, '__package__': None, '__name__': '__main__', 'Foo': <type at remote 0x66a910>, '__doc__': None}, globals={'foo': <Foo(an_attr=<...>) at remote 0x2aaaaaee5150>, '__builtins__': <module at remote 0x2aaaaaea2ad0>, '__package__': None, '__name__': '__main__', 'Foo': <type at remote 0x66a910>, '__doc__': None}, filename=0x2aaaaabf175d "<string>", mod=<optimized out>) at Python/pythonrun.c:1353
#7  PyRun_StringFlags (str=str@entry=0x601010 "\nclass Foo(object):\n    pass\nfoo = Foo()\nfoo.an_attr = foo\nprint foo\n", start=start@entry=257, globals={'foo': <Foo(an_attr=<...>) at remote 0x2aaaaaee5150>, '__builtins__': <module at remote 0x2aaaaaea2ad0>, '__package__': None, '__name__': '__main__', 'Foo': <type at remote 0x66a910>, '__doc__': None}, locals={'foo': <Foo(an_attr=<...>) at remote 0x2aaaaaee5150>, '__builtins__': <module at remote 0x2aaaaaea2ad0>, '__package__': None, '__name__': '__main__', 'Foo': <type at remote 0x66a910>, '__doc__': None}, flags=flags@entry=0x7fffffffcaa0) at Python/pythonrun.c:1316
#8  0x00002aaaaabc3d5b in PyRun_SimpleStringFlags (command=command@entry=0x601010 "\nclass Foo(object):\n    pass\nfoo = Foo()\nfoo.an_attr = foo\nprint foo\n", flags=flags@entry=0x7fffffffcaa0) at Python/pythonrun.c:969
#9  0x00002aaaaabd90c8 in Py_Main (argc=<optimized out>, argv=<optimized out>) at Modules/main.c:583
#10 0x00000032c841ecdd in __libc_start_main () from /lib64/libc.so.6
#11 0x0000000000400789 in _start ()


======================================================================
FAIL: test_selfreferential_old_style_instance (test.test_gdb.PrettyPrintTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 490, in test_selfreferential_old_style_instance
    (gdb_repr, gdb_output))
AssertionError: Unexpected gdb representation: 'op@entry=<Foo(an_attr=<...>) at remote 0x2aaaaaf04518>'
Breakpoint 1 (PyObject_Print) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

Breakpoint 1, PyObject_Print (op=op@entry=<Foo(an_attr=<...>) at remote 0x2aaaaaf04518>, fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
330         return internal_print(op, fp, flags, 0);
#0  PyObject_Print (op=op@entry=<Foo(an_attr=<...>) at remote 0x2aaaaaf04518>, fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
#1  0x00002aaaaab1cfb8 in file_PyObject_Print (flags=1, f=0x2aaaaaeba1e0, op=<Foo(an_attr=<...>) at remote 0x2aaaaaf04518>) at Objects/fileobject.c:110
#2  PyFile_WriteObject (v=v@entry=<Foo(an_attr=<...>) at remote 0x2aaaaaf04518>, f=f@entry=<file at remote 0x2aaaaaeba1e0>, flags=flags@entry=1) at Objects/fileobject.c:2507
#3  0x00002aaaaab9ea57 in PyEval_EvalFrameEx (f=f@entry=Frame 0x66a5a0, for file <string>, line 6, in <module> (), throwflag=throwflag@entry=0) at Python/ceval.c:1770
#4  0x00002aaaaaba1c18 in PyEval_EvalCodeEx (co=co@entry=0x2aaaaaeb3bb0, globals=globals@entry={'foo': <Foo(an_attr=<...>) at remote 0x2aaaaaf04518>, '__builtins__': <module at remote 0x2aaaaaea2ad0>, '__package__': None, '__name__': '__main__', 'Foo': <classobj at remote 0x2aaaaaedaf58>, '__doc__': None}, locals=locals@entry={'foo': <Foo(an_attr=<...>) at remote 0x2aaaaaf04518>, '__builtins__': <module at remote 0x2aaaaaea2ad0>, '__package__': None, '__name__': '__main__', 'Foo': <classobj at remote 0x2aaaaaedaf58>, '__doc__': None}, args=args@entry=0x0, argcount=argcount@entry=0, kws=kws@entry=0x0, kwcount=kwcount@entry=0, defs=defs@entry=0x0, defcount=defcount@entry=0, closure=closure@entry=0x0) at Python/ceval.c:3253
#5  0x00002aaaaaba1d52 in PyEval_EvalCode (co=co@entry=0x2aaaaaeb3bb0, globals=globals@entry={'foo': <Foo(an_attr=<...>) at remote 0x2aaaaaf04518>, '__builtins__': <module at remote 0x2aaaaaea2ad0>, '__package__': None, '__name__': '__main__', 'Foo': <classobj at remote 0x2aaaaaedaf58>, '__doc__': None}, locals=locals@entry={'foo': <Foo(an_attr=<...>) at remote 0x2aaaaaf04518>, '__builtins__': <module at remote 0x2aaaaaea2ad0>, '__package__': None, '__name__': '__main__', 'Foo': <classobj at remote 0x2aaaaaedaf58>, '__doc__': None}) at Python/ceval.c:667
#6  0x00002aaaaabc31ed in run_mod (arena=0x610410, flags=<optimized out>, locals={'foo': <Foo(an_attr=<...>) at remote 0x2aaaaaf04518>, '__builtins__': <module at remote 0x2aaaaaea2ad0>, '__package__': None, '__name__': '__main__', 'Foo': <classobj at remote 0x2aaaaaedaf58>, '__doc__': None}, globals={'foo': <Foo(an_attr=<...>) at remote 0x2aaaaaf04518>, '__builtins__': <module at remote 0x2aaaaaea2ad0>, '__package__': None, '__name__': '__main__', 'Foo': <classobj at remote 0x2aaaaaedaf58>, '__doc__': None}, filename=0x2aaaaabf175d "<string>", mod=<optimized out>) at Python/pythonrun.c:1353
#7  PyRun_StringFlags (str=str@entry=0x601010 "\nclass Foo:\n    pass\nfoo = Foo()\nfoo.an_attr = foo\nprint foo\n", start=start@entry=257, globals={'foo': <Foo(an_attr=<...>) at remote 0x2aaaaaf04518>, '__builtins__': <module at remote 0x2aaaaaea2ad0>, '__package__': None, '__name__': '__main__', 'Foo': <classobj at remote 0x2aaaaaedaf58>, '__doc__': None}, locals={'foo': <Foo(an_attr=<...>) at remote 0x2aaaaaf04518>, '__builtins__': <module at remote 0x2aaaaaea2ad0>, '__package__': None, '__name__': '__main__', 'Foo': <classobj at remote 0x2aaaaaedaf58>, '__doc__': None}, flags=flags@entry=0x7fffffffcab0) at Python/pythonrun.c:1316
#8  0x00002aaaaabc3d5b in PyRun_SimpleStringFlags (command=command@entry=0x601010 "\nclass Foo:\n    pass\nfoo = Foo()\nfoo.an_attr = foo\nprint foo\n", flags=flags@entry=0x7fffffffcab0) at Python/pythonrun.c:969
#9  0x00002aaaaabd90c8 in Py_Main (argc=<optimized out>, argv=<optimized out>) at Modules/main.c:583
#10 0x00000032c841ecdd in __libc_start_main () from /lib64/libc.so.6
#11 0x0000000000400789 in _start ()


======================================================================
FAIL: test_sets (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of sets
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 269, in test_sets
    self.assertGdbRepr(set())
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 196, in assertGdbRepr
    self.assertEqual(gdb_repr, repr(val), gdb_output)
AssertionError: Breakpoint 1 (PyObject_Print) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

Breakpoint 1, PyObject_Print (op=op@entry=set([]), fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
330         return internal_print(op, fp, flags, 0);
#0  PyObject_Print (op=op@entry=set([]), fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
#1  0x00002aaaaab1cfb8 in file_PyObject_Print (flags=1, f=0x2aaaaaeba1e0, op=set([])) at Objects/fileobject.c:110
#2  PyFile_WriteObject (v=v@entry=set([]), f=f@entry=<file at remote 0x2aaaaaeba1e0>, flags=flags@entry=1) at Objects/fileobject.c:2507
#3  0x00002aaaaab9ea57 in PyEval_EvalFrameEx (f=f@entry=Frame 0x669a30, for file <string>, line 1, in <module> (), throwflag=throwflag@entry=0) at Python/ceval.c:1770
#4  0x00002aaaaaba1c18 in PyEval_EvalCodeEx (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, args=args@entry=0x0, argcount=argcount@entry=0, kws=kws@entry=0x0, kwcount=kwcount@entry=0, defs=defs@entry=0x0, defcount=defcount@entry=0, closure=closure@entry=0x0) at Python/ceval.c:3253
#5  0x00002aaaaaba1d52 in PyEval_EvalCode (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}) at Python/ceval.c:667
#6  0x00002aaaaabc31ed in run_mod (arena=0x6103e0, flags=<optimized out>, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, filename=0x2aaaaabf175d "<string>", mod=<optimized out>) at Python/pythonrun.c:1353
#7  PyRun_StringFlags (str=str@entry=0x601010 "print set([])\n", start=start@entry=257, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, flags=flags@entry=0x7fffffffcae0) at Python/pythonrun.c:1316
#8  0x00002aaaaabc3d5b in PyRun_SimpleStringFlags (command=command@entry=0x601010 "print set([])\n", flags=flags@entry=0x7fffffffcae0) at Python/pythonrun.c:969
#9  0x00002aaaaabd90c8 in Py_Main (argc=<optimized out>, argv=<optimized out>) at Modules/main.c:583
#10 0x00000032c841ecdd in __libc_start_main () from /lib64/libc.so.6
#11 0x0000000000400789 in _start ()


======================================================================
FAIL: test_singletons (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of True, False and None
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 215, in test_singletons
    self.assertGdbRepr(True)
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 196, in assertGdbRepr
    self.assertEqual(gdb_repr, repr(val), gdb_output)
AssertionError: Breakpoint 1 (PyObject_Print) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

Breakpoint 1, PyObject_Print (op=op@entry=True, fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
330         return internal_print(op, fp, flags, 0);
#0  PyObject_Print (op=op@entry=True, fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
#1  0x00002aaaaab1cfb8 in file_PyObject_Print (flags=1, f=0x2aaaaaeba1e0, op=True) at Objects/fileobject.c:110
#2  PyFile_WriteObject (v=v@entry=True, f=f@entry=<file at remote 0x2aaaaaeba1e0>, flags=flags@entry=1) at Objects/fileobject.c:2507
#3  0x00002aaaaab9ea57 in PyEval_EvalFrameEx (f=f@entry=Frame 0x669a30, for file <string>, line 1, in <module> (), throwflag=throwflag@entry=0) at Python/ceval.c:1770
#4  0x00002aaaaaba1c18 in PyEval_EvalCodeEx (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, args=args@entry=0x0, argcount=argcount@entry=0, kws=kws@entry=0x0, kwcount=kwcount@entry=0, defs=defs@entry=0x0, defcount=defcount@entry=0, closure=closure@entry=0x0) at Python/ceval.c:3253
#5  0x00002aaaaaba1d52 in PyEval_EvalCode (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}) at Python/ceval.c:667
#6  0x00002aaaaabc31ed in run_mod (arena=0x6103e0, flags=<optimized out>, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, filename=0x2aaaaabf175d "<string>", mod=<optimized out>) at Python/pythonrun.c:1353
#7  PyRun_StringFlags (str=str@entry=0x601010 "print True\n", start=start@entry=257, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, flags=flags@entry=0x7fffffffcae0) at Python/pythonrun.c:1316
#8  0x00002aaaaabc3d5b in PyRun_SimpleStringFlags (command=command@entry=0x601010 "print True\n", flags=flags@entry=0x7fffffffcae0) at Python/pythonrun.c:969
#9  0x00002aaaaabd90c8 in Py_Main (argc=<optimized out>, argv=<optimized out>) at Modules/main.c:583
#10 0x00000032c841ecdd in __libc_start_main () from /lib64/libc.so.6
#11 0x0000000000400789 in _start ()


======================================================================
FAIL: test_strings (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of strings
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 232, in test_strings
    self.assertGdbRepr('')
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 196, in assertGdbRepr
    self.assertEqual(gdb_repr, repr(val), gdb_output)
AssertionError: Breakpoint 1 (PyObject_Print) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

Breakpoint 1, PyObject_Print (op=op@entry='', fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
330         return internal_print(op, fp, flags, 0);
#0  PyObject_Print (op=op@entry='', fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
#1  0x00002aaaaab1cfb8 in file_PyObject_Print (flags=1, f=0x2aaaaaeba1e0, op='') at Objects/fileobject.c:110
#2  PyFile_WriteObject (v=v@entry='', f=f@entry=<file at remote 0x2aaaaaeba1e0>, flags=flags@entry=1) at Objects/fileobject.c:2507
#3  0x00002aaaaab9ea57 in PyEval_EvalFrameEx (f=f@entry=Frame 0x669a30, for file <string>, line 1, in <module> (), throwflag=throwflag@entry=0) at Python/ceval.c:1770
#4  0x00002aaaaaba1c18 in PyEval_EvalCodeEx (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, args=args@entry=0x0, argcount=argcount@entry=0, kws=kws@entry=0x0, kwcount=kwcount@entry=0, defs=defs@entry=0x0, defcount=defcount@entry=0, closure=closure@entry=0x0) at Python/ceval.c:3253
#5  0x00002aaaaaba1d52 in PyEval_EvalCode (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}) at Python/ceval.c:667
#6  0x00002aaaaabc31ed in run_mod (arena=0x6103e0, flags=<optimized out>, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, filename=0x2aaaaabf175d "<string>", mod=<optimized out>) at Python/pythonrun.c:1353
#7  PyRun_StringFlags (str=str@entry=0x601010 "print ''\n", start=start@entry=257, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, flags=flags@entry=0x7fffffffcae0) at Python/pythonrun.c:1316
#8  0x00002aaaaabc3d5b in PyRun_SimpleStringFlags (command=command@entry=0x601010 "print ''\n", flags=flags@entry=0x7fffffffcae0) at Python/pythonrun.c:969
#9  0x00002aaaaabd90c8 in Py_Main (argc=<optimized out>, argv=<optimized out>) at Modules/main.c:583
#10 0x00000032c841ecdd in __libc_start_main () from /lib64/libc.so.6
#11 0x0000000000400789 in _start ()


======================================================================
FAIL: test_subclassing_list (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of an instance of a list subclass
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 355, in test_subclassing_list
    msg='Unexpected new-style class rendering %r' % gdb_repr)
AssertionError: Unexpected new-style class rendering 'op@entry=<Foo(an_int=42) at remote 0x2aaaaaef56d8>'

======================================================================
FAIL: test_subclassing_tuple (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of an instance of a tuple subclass
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 369, in test_subclassing_tuple
    msg='Unexpected new-style class rendering %r' % gdb_repr)
AssertionError: Unexpected new-style class rendering 'op@entry=<Foo(an_int=42) at remote 0x2aaaaaef2530>'

======================================================================
FAIL: test_truncation (test.test_gdb.PrettyPrintTests)
Verify that very long output is truncated
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 523, in test_truncation
    "[0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, "
AssertionError: 'op@entry=[0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, 86, 87, 88, 89, 90, 91, 92, 93, 94, 95, 96, 97, 98, 99, 100, 101, 102, 103, 104, 105, 106, 107, 108, 109, 110, 111, 112, 113, 114, 115, 116, 117, 118, 119, 120, 121, 122, 123, 124, 125, 126, 127, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 144, 145, 146, 147, 148, 149, 150, 151, 152, 153, 154, 155, 156, 157, 158, 159, 160, 161, 162, 163, 164, 165, 166, 167, 168, 169, 170, 171, 172, 173, 174, 175, 176, 177, 178, 179, 180, 181, 182, 183, 184, 185, 186, 187, 188, 189, 190, 191, 192, 193, 194, 195, 196, 197, 198, 199, 200, 201, 202, 203, 204, 205, 206, 207, 208, 209, 210, 211, 212, 213, 214, 215, 216, 217, 218, 219, 220, 221, 222, 223, 224, 225, 226...(truncated)' != '[0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, 86, 87, 88, 89, 90, 91, 92, 93, 94, 95, 96, 97, 98, 99, 100, 101, 102, 103, 104, 105, 106, 107, 108, 109, 110, 111, 112, 113, 114, 115, 116, 117, 118, 119, 120, 121, 122, 123, 124, 125, 126, 127, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 144, 145, 146, 147, 148, 149, 150, 151, 152, 153, 154, 155, 156, 157, 158, 159, 160, 161, 162, 163, 164, 165, 166, 167, 168, 169, 170, 171, 172, 173, 174, 175, 176, 177, 178, 179, 180, 181, 182, 183, 184, 185, 186, 187, 188, 189, 190, 191, 192, 193, 194, 195, 196, 197, 198, 199, 200, 201, 202, 203, 204, 205, 206, 207, 208, 209, 210, 211, 212, 213, 214, 215, 216, 217, 218, 219, 220, 221, 222, 223, 224, 225, 226...(truncated)'

======================================================================
FAIL: test_tuples (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of tuples
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 239, in test_tuples
    self.assertGdbRepr(tuple())
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 196, in assertGdbRepr
    self.assertEqual(gdb_repr, repr(val), gdb_output)
AssertionError: Breakpoint 1 (PyObject_Print) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

Breakpoint 1, PyObject_Print (op=op@entry=(), fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
330         return internal_print(op, fp, flags, 0);
#0  PyObject_Print (op=op@entry=(), fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
#1  0x00002aaaaab1cfb8 in file_PyObject_Print (flags=1, f=0x2aaaaaeba1e0, op=()) at Objects/fileobject.c:110
#2  PyFile_WriteObject (v=v@entry=(), f=f@entry=<file at remote 0x2aaaaaeba1e0>, flags=flags@entry=1) at Objects/fileobject.c:2507
#3  0x00002aaaaab9ea57 in PyEval_EvalFrameEx (f=f@entry=Frame 0x669a30, for file <string>, line 1, in <module> (), throwflag=throwflag@entry=0) at Python/ceval.c:1770
#4  0x00002aaaaaba1c18 in PyEval_EvalCodeEx (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, args=args@entry=0x0, argcount=argcount@entry=0, kws=kws@entry=0x0, kwcount=kwcount@entry=0, defs=defs@entry=0x0, defcount=defcount@entry=0, closure=closure@entry=0x0) at Python/ceval.c:3253
#5  0x00002aaaaaba1d52 in PyEval_EvalCode (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}) at Python/ceval.c:667
#6  0x00002aaaaabc31ed in run_mod (arena=0x6103e0, flags=<optimized out>, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, filename=0x2aaaaabf175d "<string>", mod=<optimized out>) at Python/pythonrun.c:1353
#7  PyRun_StringFlags (str=str@entry=0x601010 "print ()\n", start=start@entry=257, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, flags=flags@entry=0x7fffffffcae0) at Python/pythonrun.c:1316
#8  0x00002aaaaabc3d5b in PyRun_SimpleStringFlags (command=command@entry=0x601010 "print ()\n", flags=flags@entry=0x7fffffffcae0) at Python/pythonrun.c:969
#9  0x00002aaaaabd90c8 in Py_Main (argc=<optimized out>, argv=<optimized out>) at Modules/main.c:583
#10 0x00000032c841ecdd in __libc_start_main () from /lib64/libc.so.6
#11 0x0000000000400789 in _start ()


======================================================================
FAIL: test_unicode (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of unicode values
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 246, in test_unicode
    self.assertGdbRepr(u'')
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-without-tipc/Lib/test/test_gdb.py", line 196, in assertGdbRepr
    self.assertEqual(gdb_repr, repr(val), gdb_output)
AssertionError: Breakpoint 1 (PyObject_Print) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

Breakpoint 1, PyObject_Print (op=op@entry=u'', fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
330         return internal_print(op, fp, flags, 0);
#0  PyObject_Print (op=op@entry=u'', fp=0x32c879b780 <_IO_2_1_stdout_>, flags=flags@entry=1) at Objects/object.c:330
#1  0x00002aaaaab1cfb8 in file_PyObject_Print (flags=1, f=0x2aaaaaeba1e0, op=u'') at Objects/fileobject.c:110
#2  PyFile_WriteObject (v=v@entry=u'', f=f@entry=<file at remote 0x2aaaaaeba1e0>, flags=flags@entry=1) at Objects/fileobject.c:2507
#3  0x00002aaaaab9ea57 in PyEval_EvalFrameEx (f=f@entry=Frame 0x669a30, for file <string>, line 1, in <module> (), throwflag=throwflag@entry=0) at Python/ceval.c:1770
#4  0x00002aaaaaba1c18 in PyEval_EvalCodeEx (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, args=args@entry=0x0, argcount=argcount@entry=0, kws=kws@entry=0x0, kwcount=kwcount@entry=0, defs=defs@entry=0x0, defcount=defcount@entry=0, closure=closure@entry=0x0) at Python/ceval.c:3253
#5  0x00002aaaaaba1d52 in PyEval_EvalCode (co=co@entry=0x2aaaaaeb36b0, globals=globals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals=locals@entry={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}) at Python/ceval.c:667
#6  0x00002aaaaabc31ed in run_mod (arena=0x6103e0, flags=<optimized out>, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, filename=0x2aaaaabf175d "<string>", mod=<optimized out>) at Python/pythonrun.c:1353
#7  PyRun_StringFlags (str=str@entry=0x601010 "print u''\n", start=start@entry=257, globals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, locals={'__builtins__': <module at remote 0x2aaaaaea2ad0>, '__name__': '__main__', '__doc__': None, '__package__': None}, flags=flags@entry=0x7fffffffcae0) at Python/pythonrun.c:1316
#8  0x00002aaaaabc3d5b in PyRun_SimpleStringFlags (command=command@entry=0x601010 "print u''\n", flags=flags@entry=0x7fffffffcae0) at Python/pythonrun.c:969
#9  0x00002aaaaabd90c8 in Py_Main (argc=<optimized out>, argv=<optimized out>) at Modules/main.c:583
#10 0x00000032c841ecdd in __libc_start_main () from /lib64/libc.so.6
#11 0x0000000000400789 in _start ()


----------------------------------------------------------------------
Ran 45 tests in 5.770s

FAILED (failures=29, skipped=12)
test test_gdb failed -- multiple errors occurred
1 test failed:
    test_gdb
msg181369 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2013-02-04 18:40
The autoloading error will be fixed in 2.7.4 (due out Real Soon Now, but not immediately).

I've nosied the author, Dave Malcolm, to address the other issues.
msg221912 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-06-29 22:46
Can we have a follow up on this please as most of the data in msg181358 is Double Dutch to me.
msg221982 - (view) Author: (ddvento@ucar.edu) Date: 2014-06-30 21:06
I am not sure what you mean by Double Dutch, but let me try to restate the
problem.

This test fails (even with current python 2.7.7) with the stated version of
gdb (given the lack of feedback since I initially opened this ticket, I
have not verified that the failure mode is still exactly the same, and I
cannot check it right now, but let's assume it is).

Let's just pick one of the simple failures:

======================================================================
FAIL: test_exceptions (test.test_gdb.PrettyPrintTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/glade/scratch/ddvento/build/Python-2.7.3-westmere-gdb-
without-tipc/Lib/test/test_gdb.py", line 307, in test_exceptions
    "exceptions.RuntimeError('I am an error',)")
AssertionError: "op@entry=exceptions.RuntimeError('I am an error',)" !=
"exceptions.RuntimeError('I am an error',)"
======================================================================

So this fails because there is a "op@" prefix in the strings being compared
(many, but not all failures have this problem with string prefix). I do not
know anything about the test itself or the module under test, so I have no
idea whether or not that string prefix is essential for the module to work
properly.

Regards,
Davide

On Sun, Jun 29, 2014 at 4:46 PM, Mark Lawrence <report@bugs.python.org>
wrote:

>
> Mark Lawrence added the comment:
>
> Can we have a follow up on this please as most of the data in msg181358 is
> Double Dutch to me.
>
> ----------
> nosy: +BreamoreBoy
> type:  -> behavior
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue17126>
> _______________________________________
>
History
Date User Action Args
2019-03-16 00:09:54BreamoreBoysetnosy: - BreamoreBoy
2014-06-30 21:06:22ddvento@ucar.edusetmessages: + msg221982
2014-06-29 22:46:42BreamoreBoysettype: behavior

messages: + msg221912
nosy: + BreamoreBoy
2013-02-04 18:40:47r.david.murraysetnosy: + dmalcolm, r.david.murray
messages: + msg181369
2013-02-04 17:52:00ddvento@ucar.educreate